#
# spec file for package ttf-cmex (Version 0.20061030)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           ttf-cmex
%if %suse_version > 910
BuildRequires:  xorg-x11-devel
%else
BuildRequires:  XFree86-devel
%endif
%if "%(xft-config --prefix)" == "/usr"
%define	fontdir     /usr/share/fonts/truetype
%else
%define	fontdir     /usr/X11R6/lib/X11/fonts/truetype
%endif
License:        Any commercial
Group:          System/I18n/Chinese
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
Version:        0.20061030
Release:        0.3
URL:            http://www.cmex.org.tw
Source0:        ttf-cmex.tar.bz2
Source10:       fonts.scale.cmexsong
Source11:       fonts.scale.cmexkai
Source20:       README
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Traditional Chinese TrueType fonts made by CMEX

%description
Traditional Chinese TrueType fonts made by CMEX.



Authors:
--------
    Chinese Foundation For Digitization Technology <cmex@cmex.org.tw>

%debug_package
%package      song
Group:          System/X11/Fonts
Summary:        CMEXSong Traditional Chinese TrueType font made by CMEX
Provides:       scalable-font-zh-TW
Provides:       locale(zh_TW)

%description song
CMEXSong Traditional Chinese TrueType font made by CMEX.



Authors:
--------
    Chinese Foundation For Digitization Technology <cmex@cmex.org.tw>

%package      kai
Group:          System/I18n/Chinese
Summary:        CMEXKai Traditional Chinese TrueType font made by CMEX
Provides:       scalable-font-zh-TW
Provides:       locale(zh_TW)

%description kai
CMEXKai Traditional Chinese TrueType font made by CMEX.



Authors:
--------
    Chinese Foundation For Digitization Technology <cmex@cmex.org.tw>

%prep
%setup -n %{name}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{fontdir}/
install -c -m 644 *.ttf $RPM_BUILD_ROOT%{fontdir}/
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.* $RPM_BUILD_ROOT%{fontdir}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post song
%run_suseconfig_fonts -c

%postun song
%run_suseconfig_fonts -c

%post kai
%run_suseconfig_fonts -c

%postun kai
%run_suseconfig_fonts -c

%files song
%defattr(-, root,root)
%doc COPYRIGHT-CMEX-Song*
%dir %{fontdir}
%{fontdir}/cmexsong.ttf
%config %{fontdir}/fonts.scale.cmexsong

%files kai
%defattr(-, root,root)
%doc COPYRIGHT-CMEX-Kai*
%dir %{fontdir}
%{fontdir}/cmexkai.ttf
%config %{fontdir}/fonts.scale.cmexkai

%changelog
* Thu Nov 02 2006 - zsu@suse.de
- Add sub-package ttf-cmex-kai which contains CMEXKai Traditional
  Chinese font provided by CMEX. (Fate#300430)
- Add XLFDs like "-misc-cmex...-..." to fonts.scale.*.
* Tue Oct 17 2006 - zsu@suse.de
- Update cmexsong.ttf, which has much smaller size and several
  embedded bitmap fonts. The new font is provided by CMEX.
* Wed Aug 09 2006 - mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Mon Mar 20 2006 - zsu@suse.de
- Update to new cmexsong.ttf font from CMEX.
* Tue Feb 28 2006 - zsu@suse.de
- add Provides: locale(zh_TW)
* Tue Feb 14 2006 - zsu@suse.de
- Add COPYRIGHT-CMEX.txt to source tarball for copyright declaration
  to clarify the license issue (#149072).
* Fri Jan 27 2006 - zsu@suse.de
- new package. Version 0.20060118
